org.apache.hc.client5.http.impl.auth

## Class AuthSchemeSupport

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.AuthSchemeSupport

    @Internal
    public class AuthSchemeSupport
    extends Object

Since:
  5.2

### Constructor Summary

Constructors
Constructor and Description
`AuthSchemeSupport()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Charset` `parseCharset(String charsetName, Charset defaultCharset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthSchemeSupport

    public AuthSchemeSupport()

### Method Detail

#### parseCharset

    public static Charset parseCharset(String charsetName,
                                       Charset defaultCharset)
                                throws AuthenticationException

Throws:
  `AuthenticationException`